Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.conf
Class DetachOptions.FetchGroups

    java.lang.Object
      org.apache.openjpa.conf.DetachOptions
          org.apache.openjpa.conf.DetachOptions.FetchGroups

All Implemented Interfaces:
  DetachState

Enclosing class:
  DetachOptions

    public static class DetachOptions.FetchGroups

extends DetachOptions

Public to allow reflection.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.openjpa.conf.DetachOptions
`DetachOptions.All, DetachOptions.FetchGroups, DetachOptions.Loaded`

Field Summary

Fields inherited from interface org.apache.openjpa.kernel.DetachState
`DETACH_ALL, DETACH_FETCH_GROUPS, DETACH_FGS, DETACH_LOADED`

Constructor Summary
`DetachOptions.FetchGroups()`

Method Summary
`int` | `getDetachState()` The `DetachState` constant.

Methods inherited from class org.apache.openjpa.conf.DetachOptions
`getAccessUnloaded, getDetachedStateField, getDetachedStateManager, getDetachProxyFields, getLiteAutoDetach, isDetachedStateTransient, setAccessUnloaded, setDetachedStateField, setDetachedStateField, setDetachedStateManager, setDetachedStateTransient, setDetachProxyFields, setLiteAutoDetach`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DetachOptions.FetchGroups

    public DetachOptions.FetchGroups()

Method Detail

### getDetachState

    public int getDetachState()

  Description copied from class: `DetachOptions`
  The `DetachState` constant.

  Specified by:
    `getDetachState` in class `DetachOptions`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.